#!BuildIgnore:	post-build-checks
%define		pversion 3.06Beta
%define		qdir /var/qmail
Name:		sophie
Summary:	Sophie Daemon for Sophos Antivirus
Group:		System/Security
Version:	3.05.99
Release:	25.13
Url:		http://sophie.sourceforge.net/
License:	GPL
Source0:	http://www.clanfield.info/sophie/%{name}-%{pversion}.tar.bz2
Source1:	%{name}-supervise.tar.bz2
Source2:	sophie.init
Patch0:		%{name}-net_addr.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libsavi >= 3
%if 0%{?suse_version}
BuildRequires:	daemontools
%endif

%description
Sophie Daemon for Sophos Antivirus

%if 0%{?suse_version}
%package supervise
Group:		System/Security
Summary:	Supervise scripts for sophie daemon
Requires:	daemontools

%description supervise
This package includes supervise scripts for the sophie daemon
%endif

%prep
%setup0 -n %{name}-%{pversion}
%patch0

%configure \
 --enable-net \
 --enable-fgets \
 --with-savilib=%{_libdir} && cat config.log

%build
%__make

%install
%if 0%{?suse_version}
sed -i s#"^user: mail$"#"user: vscan"#g etc/sophie.cfg
sed -i s#"^group: mail$"#"group: vscan"#g etc/sophie.cfg
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?sl_version}
sed -i s#"^user: mail$"#"user: amavis"#g etc/sophie.cfg
%endif
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%__install -m 755 sophie $RPM_BUILD_ROOT%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?sl_version}
%__install -m 755 contrib/sophie.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/sophie
%endif

%if 0%{?suse_version}
%__install -m 755 %{S:2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/sophie
%endif

%__install -m 644 etc/sophie.cfg $RPM_BUILD_ROOT%{_sysconfdir}/
%__install -m 644 etc/sophie.savi $RPM_BUILD_ROOT%{_sysconfdir}/

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
%__install -m 644 sophie.8 $RPM_BUILD_ROOT%{_mandir}/man8

%if 0%{?suse_version}
mkdir -p $RPM_BUILD_ROOT%{qdir}
tar xfj %{S:1} -C $RPM_BUILD_ROOT%{qdir}
%endif

%post

%if 0%{?suse_version}
%post supervise
if [ "$1" == 1 ]; then
# Make start
  mkdir -p /service
  pushd /service
    ln -s %{qdir}/supervise/sophie
  popd
fi

%postun supervise
if [ "$1" = 0 ]; then
  rm -f /service/sophie*
fi
%endif

%files
%defattr(-,root,root)
%doc Changes Credits LICENSE README README.NETWORK eicar.com

%{_bindir}/sophie
%{_sysconfdir}/init.d/sophie
%{_sysconfdir}/sophie.*
%{_mandir}/man8/sophie.8.gz

%if 0%{?suse_version}
%files supervise
%attr(1700,qmaill,qmail) %dir %{qdir}/supervise/sophie
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/sophie/env
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/sophie/log
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/sophie/supervise
%attr(0751,qmaill,qmail) %{qdir}/supervise/sophie/run
%attr(0751,qmaill,qmail) %{qdir}/supervise/sophie/log/run
%endif

%changelog
* Sat Jul 25 2009 Carsten Schoene <cs@linux-administrator.com> - 3.05.99-2
- added suse init script

* Thu Feb 19 2009 Carsten Schoene <cs@linux-administrator.com>
- change user/group to vscan in sophie.cfg for suse based distributions

* Sat Jul 12 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 3.06 Beta (3.05.99)
* Fri Jul 11 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build of sophie
